%define	Werror_cflags	%nil
#version of the videos in warzone2100-videos-low. May not match current game version (e.g. videos 2.2 for game 2.3.5).
%define videoversion 2.2

Name:		warzone2100
Version:	3.2.3
Release:	%mkrel 1
Summary:	Postnuclear real-time strategy
Group:		Games/Strategy
License:	GPLv2+
URL:		http://wz2100.net/
Source0:	http://downloads.sf.net/warzone2100/%{name}-%{version}.tar.xz
# Submitted upstream: http://developer.wz2100.net/ticket/4578
Patch0:		warzone2100-3.2.3-mga-datarootdir.patch

BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(fribidi)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(harfbuzz)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(physfs)
BuildRequires:	pkgconfig(popt)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(theora)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	zip

Requires:	%{name}-data = %{version}
Requires:	fonts-ttf-dejavu
Recommends:	%{name}-videos = %{videoversion}

%description
Upon entering the game you land from your transport and establish your base.
Here you conduct research, design and manufacture vehicles, build new
structures and prepare your plans of global conquest. If the game goes badly
you'll end up fighting last ditch battles here to defend your base from
enemy attacks.

Combat is frenetic, with extensive graphical effects and damage to the
terrain and buildings giving rise to flying shrapnel and boulders. Within
the game are many different structures and vehicles. From an initial Command
Centre, you then go on to build Resource Extractors to provide fuel for Power
Generators, which in turn supply energy to Factories, Research Facilities and
weapons emplacements to protect your base.

Features:
 * 400+ Technologies to research
 * 2,000+ different units to design
 * 3 Large campaign maps to conquer
 * 24 Fast play mission maps for extra action
 * Intelligence Display sets objectives dynamically
 * Interactive message system
 * Fast Play Interface graphically Based
 * Quick Screen Navigation
 * Fast Find System for units & structures
 * Set Factories to constant production
 * Automatically send each factory's units to where you want them

The Warzone 2100 ReDev Project aims to continue the vision of Pumpkin studios
started in 1999 with the game Warzone 2100, Which was closed source until
Dec 6, 2004 when it was let out the doors for the first time under a
GPL license.

%package data
Summary:	Data files for Warzone2100
BuildArch:	noarch
# Previously split in another SRPM with same source
Obsoletes:	warzone2100-data < 3.1.5-1

%description data
This package contains arch-independent data files for Warzone 2100.

%prep
%autosetup -p1

%build
./autogen.sh
%configure2_5x	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir} \
		--with-distributor="%{_vendor}"
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc %{_docdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_gamesbindir}/%{name}
%{_iconsdir}/%{name}.png

%files data
%{_gamesdatadir}/%{name}/



%changelog
* Mon Apr 24 2017 akien <akien> 3.2.3-1.mga6
+ Revision: 1097187
- Add proper patch to fix datarootdir usage
- Fix %%files list and drop copy of upstream appdata.xml
- Version 3.2.3

* Mon Dec 05 2016 akien <akien> 3.2.2-1.mga6
+ Revision: 1072645
- Version 3.2.2

* Tue Aug 16 2016 akien <akien> 3.2.1-1.mga6
+ Revision: 1046545
- Version 3.2.1
- Improve BRs

* Thu May 19 2016 akien <akien> 3.1.5-1.mga6
+ Revision: 1017028
- Version 3.1.5
- Move data to a noarch subpackage instead of another SRPM
- Version 3.1.5

* Wed Feb 03 2016 zezinho <zezinho> 3.1.3-1.mga6
+ Revision: 933516
- new version 3.1.3

* Thu Aug 27 2015 sander85 <sander85> 3.1.2-3.mga6
+ Revision: 870210
- Rebuild for glew 1.13.0

* Wed Jun 24 2015 akien <akien> 3.1.2-2.mga6
+ Revision: 842174
- Rebuild for GLEW 1.12

* Wed Jan 14 2015 zezinho <zezinho> 3.1.2-1.mga5
+ Revision: 810618
- version 3.1.2 : bugfix and translations updates

* Wed Oct 15 2014 umeabot <umeabot> 3.1.1-4.mga5
+ Revision: 743878
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.1.1-3.mga5
+ Revision: 690272
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Sep 08 2014 fwang <fwang> 3.1.1-2.mga5
+ Revision: 673554
- add archlinux patch to fix build against latest glew

  + luigiwalser <luigiwalser>
    - rebuild for glew

* Sat Feb 08 2014 akien <akien> 3.1.1-1.mga5
+ Revision: 585744
- Update to upstream release 3.1.1

* Sat Oct 19 2013 umeabot <umeabot> 3.1.0-5.mga4
+ Revision: 530463
- Mageia 4 Mass Rebuild

* Wed Jul 24 2013 sander85 <sander85> 3.1.0-4.mga4
+ Revision: 457724
- Rebuild for new glew

* Mon Jun 03 2013 fwang <fwang> 3.1.0-3.mga4
+ Revision: 436275
- rebuild for new libpng
- update source url

* Sun Mar 24 2013 fwang <fwang> 3.1.0-2.mga3
+ Revision: 404801
- drop old tarball

* Sat Mar 23 2013 zezinho <zezinho> 3.1.0-1.mga3
+ Revision: 404633
- new version

* Mon Jan 14 2013 umeabot <umeabot> 2.3.9-3.mga3
+ Revision: 385619
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + dams <dams>
    - clean spec file

* Wed Jan 04 2012 zezinho <zezinho> 2.3.9-2.mga2
+ Revision: 190787
- rebuild in hope to fix segfaults #4014

* Mon Oct 31 2011 zezinho <zezinho> 2.3.9-1.mga2
+ Revision: 160380
- new version

* Tue Sep 13 2011 fwang <fwang> 2.3.8-3.mga2
+ Revision: 142930
- rebuild for new libpng
- br bison
- cleanup br

* Mon Jun 27 2011 fwang <fwang> 2.3.8-1.mga2
+ Revision: 114602
- new version 2.3.8

* Sat Feb 26 2011 eandry <eandry> 2.3.7-1.mga1
+ Revision: 60954
- clean spec
- vendor is Mageia
- imported package warzone2100

